## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMDetailRequest

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMRequest
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMDetailRequest

All Implemented Interfaces:
  java.io.Serializable

    public class VMDetailRequest

extends VMRequest

See Also:
  Serialized Form

Constructor Summary
`VMDetailRequest(URI variableURI)`

Method Summary
`URI` `getVariableURI()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VMDetailRequest

    public VMDetailRequest(URI variableURI)

Method Detail

### getVariableURI

    public URI getVariableURI()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.